textures/mx286/base_light4_1_1k_shiny
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		rgbGen identity
		map $lightmap
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mx286/base_light4_1_2k_shiny
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000

	{
		rgbGen identity
		map $lightmap
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mx286/base_light4_1_4k_shiny
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 4000

	{
		rgbGen identity
		map $lightmap
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mx286/ceil1_30_1k
{
	qer_editorimage textures/base_light/ceil1_30.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_30.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_30.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mx286/clangfloor_bounce
{
	surfaceparm nodamage
	q3map_surfacelight 400

	{
		map textures/mx286/clangfloor_bounce.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/mx286/clanggrate2_shiny
{
	qer_editorimage textures/base_floor/clanggrate2.tga

	{
		rgbGen identity
		map $lightmap
	}
	{
		map textures/base_floor/clanggrate2.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
	{
		map textures/base_trim/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/base_floor/clanggrate2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/mx286/clanggrate_shiny
{
	qer_editorimage textures/base_floor/clanggrate.tga

	{
		rgbGen identity
		map $lightmap
	}
	{
		map textures/base_floor/clanggrate.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
	{
		map textures/base_trim/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/base_floor/clanggrate.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/mx286/crossb_shotcycle
{
	qer_editorimage textures/mx286/crossb_shot1.tga
	q3map_surfacelight 1000

	{
		animMap .25 textures/mx286/crossb_shot1.tga textures/mx286/crossb_shot2.jpg textures/mx286/crossb_shot3.jpg
		rgbGen wave sawtooth 0 1 0 .25
	}
	{
		map textures/base_wall/comp3textd.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 .25
		tcmod scroll 5 .25
	}
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		tcmod scale .5 .5
		blendfunc add
		rgbgen wave triangle .5 .05 0 10
	}
	{
		map textures/base_wall/comp3frame.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/mx286/greenslimefog
{
	qer_editorimage textures/liquids/slime7.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nodrop
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_surfacelight 100
	fogparms ( .1 .55 .1 ) 300

	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}

textures/mx286/hellfirescreen
{
	qer_editorimage textures/mx286/hell.tga
	q3map_surfacelight 1000

	{
		animMap .25 textures/mx286/hell.tga textures/mx286/fire.jpg textures/mx286/rulez.jpg textures/mx286/crossb_shot3.jpg textures/mx286/mxshot6.jpg
		rgbGen wave sawtooth 0 1 0 .25
	}
	{
		map textures/base_wall/comp3textd.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 .25
		tcmod scroll 5 .25
	}
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		tcmod scale .5 .5
		blendfunc add
		rgbgen wave triangle .5 .05 0 10
	}
	{
		map textures/base_wall/comp3frame.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/mx286/hf_blacksky
{
	qer_editorimage textures/skies/blacksky.tga
	q3map_surfacelight 100
	surfaceparm noimpact
	surfaceparm nolightmap

	{
		map gfx/colors/black.tga
	}
}

textures/mx286/hf_q3dm_screen
{
	qer_editorimage textures/base_wall/q3tourney2.tga
	q3map_surfacelight 1000

	{
		animMap .25 levelshots/q3dm6.jpg levelshots/q3dm10.jpg levelshots/q3dm11.jpg levelshots/q3dm16.jpg levelshots/q3dm17.jpg
		rgbGen wave sawtooth 0 1 0 .25
	}
	{
		map textures/base_wall/comp3textd.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 .25
		tcmod scroll 5 .25
	}
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		tcmod scale .5 .5
		blendfunc add
		rgbgen wave triangle .5 .05 0 10
	}
	{
		map textures/base_wall/comp3frame.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/mx286/jacobs_x_dark
{
	qer_editorimage textures/sfx/jacobs_x.tga
	deformVertexes wave 100 sin 0 1 0 5
	q3map_surfacelight 200
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none

	{
		Map textures/sfx/jacobs_x.tga
		blendFunc GL_ONE GL_ONE
		rgbgen wave triangle 1 2 0 7
	}
}

textures/mx286/metalfloorwall_15bounce
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 500

	{
		map textures/mx286/metalfloorwall_15bounce.TGA
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/mx286/metaltech12final_bounce
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 500

	{
		map textures/mx286/metaltech12final_bounce.TGA
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/mx286/miGermany_shiny
{

	{
		rgbGen identity
		map $lightmap
	}
	{
		map textures/mx286/miGermany_shiny.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
	{
		map textures/base_trim/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/mx286/miGermany_shiny.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/mx286/mx286_blackfog
{
	qer_editorimage textures/sfx/fog_black.tga
	qer_nocarve
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( 0 0 0 ) 256
}

textures/mx286/mx286_nightsky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 25
	q3map_sun .50 .50 1 100 -41 58
	qer_editorimage textures/skies/xnight2_up.tga
	skyparms env/xnight2 - -
}

textures/mx286/mx286_shotcycle
{
	qer_editorimage textures/mx286/mxshot1.tga
	q3map_surfacelight 1000

	{
		animMap .25 textures/mx286/mxshot1.tga textures/mx286/mxshot3.jpg textures/mx286/mxshot4.jpg textures/mx286/mxshot2.jpg
		rgbGen wave sawtooth 0 1 0 .25
	}
	{
		map textures/base_wall/comp3textd.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 .25
		tcmod scroll 5 .25
	}
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		tcmod scale .5 .5
		blendfunc add
		rgbgen wave triangle .5 .05 0 10
	}
	{
		map textures/base_wall/comp3frame.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/mx286/mxfog_dark
{
	qer_editorimage textures/sfx/fog_red.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nodrop
	surfaceparm nolightmap
	q3map_globaltexture
	fogparms ( .55 .11 .1 ) 256

	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}

textures/mx286/pewter_x_support
{
	qer_editorimage textures/base_support/x_support.tga

	{
		map textures/effects/tinfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/base_trim/pewter_shiney.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map textures/base_support/x_support.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/mx286/pewter_x_support2
{
	qer_editorimage textures/base_support/x_support2.tga

	{
		map textures/effects/tinfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/base_trim/pewter_shiney.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map textures/base_support/x_support2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/mx286/proto_pool
{
	qer_editorimage textures/liquids/proto_poolpass.tga
	q3map_globaltexture
	q3map_lightimage textures/liquids/proto_pool3.tga
	q3map_globaltexture

	{
		map textures/liquids/proto_gruel2.tga
		tcMod scale .5 .6
		tcMod turb .1 .25 0 -.1
	}
	{
		map textures/liquids/proto_poolpass.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale .2 .2
		tcMod turb .1 .25 0 .07
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/mx286/xblackfog_256op
{
	qer_editorimage textures/sfx/fog_black.tga
	qer_nocarve
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( 0 0 0 ) 256
}

textures/mx286/xmetalfloor_14_glow
{
	qer_editorimage textures/mx286/metalfloor_14_glow.tga

	{
		map textures/mx286/metalfloor_14.tga
		rgbGen identity
		blendfunc gl_one gl_zero
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/metalfloor_wall_5bglowblu.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .05 .1 0 .2
	}
}

textures/mx286/xmetalfloor_14_glow_50
{
	qer_editorimage textures/mx286/metalfloor_14_glow.tga
	q3map_surfacelight 50

	{
		map textures/mx286/metalfloor_14.tga
		rgbGen identity
		blendfunc gl_one gl_zero
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/metalfloor_wall_5bglowblu.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .4 .1 0 .5
	}
}

textures/mx286/xmetalfloor_15_glow
{
	qer_editorimage textures/mx286/metalfloor_15_glow.tga

	{
		map textures/mx286/metalfloor_15.tga
		rgbGen identity
		blendfunc gl_one gl_zero
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/metalfloor_wall_9bglow.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .05 .1 0 .2
	}
}

textures/mx286/xmetalfloor_15_glow_50
{
	qer_editorimage textures/mx286/metalfloor_15_glow.tga
	q3map_surfacelight 50

	{
		map textures/mx286/metalfloor_15.tga
		rgbGen identity
		blendfunc gl_one gl_zero
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/metalfloor_wall_9bglow.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .3 .1 0 .5
	}
}

textures/mx286/xmetalfloor_5b_pulse
{
	qer_editorimage textures/sfx/metalfloor_wall_5b.tga

	{
		map textures/sfx/metalfloor_wall_7b.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/metalfloor_wall_5bglowblu.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .9 .4 0 .1
	}
}

textures/mx286/xmetalfloor_9b_pulse
{
	qer_editorimage textures/sfx/metalfloor_wall_9b.tga

	{
		map textures/sfx/metalfloor_wall_9b.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/metalfloor_wall_9bglow.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .9 .4 0 .1
	}
}
